'use strict';

function loadFacebookSDK() {
  var opts = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var id = 'facebook-jssdk';

  return new Promise(function (resolve) {
    if (document.getElementById(id)) {
      return resolve(window.FB);
    }

    var _opts$lang = opts.lang,
        lang = _opts$lang === undefined ? 'en_US' : _opts$lang,
        _opts$debug = opts.debug,
        debug = _opts$debug === undefined ? false : _opts$debug,
        _opts$sdkModule = opts.sdkModule,
        sdkModule = _opts$sdkModule === undefined ? '' : _opts$sdkModule;


    opts.version = opts.version || 'v2.11';
    delete opts.lang;
    delete opts.debug;

    window.fbAsyncInit = function () {
      window.FB.init(opts);
      resolve(window.FB);
    };

    var fjs = document.getElementsByTagName('script')[0];
    var js = document.createElement('script');
    js.id = id;
    var slash = sdkModule ? '/' : '';
    var srcPrefix = 'https://connect.facebook.net/' + lang + '/sdk' + slash;
    var srcSuffix = (debug ? sdkModule + '/debug' : sdkModule) + '.js';
    js.src = srcPrefix + srcSuffix;
    fjs.parentNode.insertBefore(js, fjs);
  });
}

module.exports = loadFacebookSDK;
